{
  "name": "query-service",
  "module": "index.ts",
  "type": "module",
  "version": "1.0.0",
  "scripts": {
    "build": "tsc",
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "bun run --watch --inspect=6498 src/index.ts",
    "start": "bun run --production src/index.ts",
    "lint": "eslint src/**/* --no-error-on-unmatched-pattern"
  },
  "devDependencies": {
    "@eslint/eslintrc": "^3.2.0",
    "@eslint/js": "^9.17.0",
    "@types/bun": "latest",
    "@types/d3": "^7.4.3",
    "@types/nodemailer": "^6.4.17",
    "@types/plotly.js": "^2.35.1",
    "@typescript-eslint/eslint-plugin": "^8.19.1",
    "@typescript-eslint/parser": "^8.19.1",
    "eslint": "^9.17.0",
    "typescript-eslint": "^8.19.1"
  },
  "peerDependencies": {
    "typescript": "^5.0.0"
  },
  "dependencies": {
    "@lexical/headless": "0.21.0",
    "@lexical/html": "0.21.0",
    "graphology": "^0.25.4",
    "graphology-dag": "^0.4.1",
    "graphology-layout": "^0.6.1",
    "graphology-simple-path": "^0.2.0",
    "graphology-types": "^0.24.7",
    "jsdom": "^25.0.1",
    "lexical": "0.21.0",
    "neo4j-driver": "5.26.0",
    "nodemailer": "^6.9.16",
    "canvas": "^3.0.0-rc3",
    "d3": "^7.9.0",
    "svg2img": "^1.0.0-beta.2",
    "plotly.js-dist-min": "^2.35.3",
    "ts-common": "link:ts-common"
  }
}
